{{ define "head" }}

{{ $pageType := "Article" }}

{{ if eq .CurrentSection.File.Path "news/archive.md" }}
{{ $pageType = "NewsArticle" }}
{{ end }}

{{ if eq .CurrentSection.File.Path "blog/archive.md" }}
{{ $pageType = "BlogPosting" }}
{{ end }}

<script type="application/ld+json">
    {
      "@context": "https://schema.org",
      "@type": "{{ $pageType }}",
      "headline": "{{ .Title }}",
      "datePublished": "{{ .Date | time.Format "2006-01-02T15:04:05Z07:00" }}",
      "dateModified": "{{ .Lastmod | time.Format "2006-01-02T15:04:05Z07:00" }}",
      "author": [{
          "@type": "Organization",
          "name": "etke.cc",
          "url": "https://etke.cc"
        }]
    }
</script>
{{ end }}

{{ define "main" }}
<section class="container">
    <h1 class="text-center"><span class="hero-accent">{{ .Title }}</span></h1>
    <p>
        {{ .Content }}
    </p>

    {{ range (where .Site.Pages "Layout" "singlenews").GroupByDate "2006" }}
    <div class="card mb-3">
        <div class="card-header">
            <p>{{ .Key }}</p>
        </div>

        <div class="card-body">
            <ul>
                {{ range .Pages }}
                <li><a href="{{ .RelPermalink }}">{{ .LinkTitle }}</a>: {{ index (split .Content "</p>") 0  | plainify | safeHTML }}</li>
                {{ end }}
            </ul>
        </div>
    </div>
    {{ end }}
</section>

{{ partial "no-server-yet.html" . }}
{{ end }}
